libcolord2_1.4.4-1_i386.deb


Advertisement

Description

libcolord2 - system service to manage device colour profiles -- runtime

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libcolord2_1.4.4-1_i386.deb
Package name libcolord2
Package version 1.4.4
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.freedesktop.org/software/colord/
License -
Maintainer Christopher James Halse Rogers <raof@ubuntu.com>
Download size 141.11 KB
Installed size 647.00 KB

Alternatives

Package Version Architecture Repository
libcolord2_1.4.4-1_amd64.deb 1.4.4 amd64 Debian Main
libcolord2 - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.37.3
liblcms2-2 >= 2.6
libudev1 >= 196

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcolord2_1.4.4-1_i386.deb
Source Package colord

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcolord2 deb package:
    # sudo apt-get install libcolord2

Files

Path
/usr/lib/i386-linux-gnu/libcolord.so.2
/usr/lib/i386-linux-gnu/libcolord.so.2.0.5
/usr/lib/i386-linux-gnu/libcolordprivate.so.2
/usr/lib/i386-linux-gnu/libcolordprivate.so.2.0.5
/usr/share/doc/libcolord2/changelog.Debian.gz
/usr/share/doc/libcolord2/copyright

Changelog

2019-08-14 - Christopher James Halse Rogers <raof@ubuntu.com>
colord (1.4.4-1) unstable; urgency=medium
* New upstream 1.4.4 release
- debian/patches/skip_build_depends.patch:
- debian/patches/trivial-Add-a-quirk-for-the-renamed-LG-Electronics.patch:
+ Dropped, included in new upstream release
* Add new docbook-xsl-ns build-dependency
* Drop patches present in new upstream version
* Add colord-tests package. (Closes: #917619)
* Migrate final use of explicit dpkg-maintscript-helper to
colord.maintscript
* colord.lintian-overrides:
+ Add override for cd_sensor_dummy.so not linking to libc. It does not in
fact directly use any symbols from libc.
+ Add override for missing init.d script for colord daemon. colord is
a DBus-activated daemon, the systemd unit is only for enabling extra
systemd-specific behaviour when systemd is handling DBus activation.
* debian/patches/fix-cd-sensor-dummy.patch:
+ Cherry pick from upstream fixing a trivial crash in the dummy sensor
* debian/tests:
+ Drop the make-check dep8 test in favour of one based on the installed
tests.
+ Mark the installed test as flaky, until upstream bug is resolved
(https://github.com/hughsie/colord/issues/94)
2019-01-21 - Jeremy Bicha <jbicha@debian.org>
colord (1.4.3-4) unstable; urgency=medium
* Team upload
[ Jeremy Bicha ]
* Bump debhelper compat to 11
* debian/rules: Use the same build directory debhelper normally uses
* meson doesn't install .la files by default
* Use dh --with gir instead of calling dh_girepository manually
* Drop obsolete intltool Build-Depends
* debian/control: Set packages as linux-any
* Cherry-pick trivial-Add-a-quirk-for-the-renamed-LG-Electronics.patch:
- Fix autopkgtest regression with systemd 240
* debian/tests/control: Depend on shared-mime-info
[ Ondřej Nový ]
* d/copyright: Use https protocol in Format field
* d/changelog: Remove trailing whitespaces
* d/control: Remove trailing whitespaces
[ Laurent Bigonville ]
* Remove /etc/dbus-1/system.d/org.freedesktop.ColorManager.conf on upgrade
(Closes: #912031)
* Install colord daemons in /usr/lib/colord/ like before (Closes: #910196)
* debian/*.symbols: Add Build-Depends-Package fields
* debian/control: Adjust the build-dependencies, colord now unconditionally
requires udev and gusb, this makes the package only available on linux
* debian/control: Remove unnecessary dependencies, libcolord-dev do not
require liblcms2-dev, libdbus-1-dev or libudev-dev
* debian/rules: Remove the executable bit on the colormgr bash-completion
file to please lintian
2018-09-13 - Sebastien Bacher <seb128@ubuntu.com>
colord (1.4.3-3) unstable; urgency=medium
* debian/patches/skip_build_depends.patch:
- use a debian patch rather than inline change to skip that
build-depends requirement
2018-09-07 - Christopher James Halse Rogers <raof@ubuntu.com>
colord (1.4.3-2) unstable; urgency=medium
* debian/rules: Create stampdir on build. Fixes the build from git.
2018-09-03 - Christopher James Halse Rogers <raof@ubuntu.com>
colord (1.4.3-1) unstable; urgency=medium
* New upstream version 1.4.3
- Switch to meson build system
- New upstream version respects SOURCE_DATE_EPOCH for generated
profiles, making the build reproducible! (Closes: 815252)
* Switch to dh_missing
* Fix order of adduser arguments in colord.postinst (Closes: 895102)
* Drop chown -R usage in colord.postinst (Closes: 889060)
* Refresh symbols files
* Refresh .install files
* debian/watch: Correctly identify as a Version=4 file.
* Bump Standards-Version
2016-09-06 - Christopher James Halse Rogers <raof@ubuntu.com>
colord (1.3.3-2) unstable; urgency=medium
* Tell dh_install that systemd/udev files are uninteresting for !Linux

See Also

Package Description
libcolorhug-dev_1.4.4-1_i386.deb library to access the ColorHug colourimeter -- development files
libcolorhug2_1.4.4-1_i386.deb library to access the ColorHug colourimeter -- runtime
libcolorpicker-java-doc_1.0.0-3_all.deb Java control to allow color selection (documentation)
libcolorpicker-java_1.0.0-3_all.deb Java control to allow color selection
libcolpack-dev_1.0.10-4+b1_i386.deb Specialized graph vertex coloring library, development files
libcolpack0v5_1.0.10-4+b1_i386.deb Specialized graph vertex coloring library, shared library
libcolt-free-java-doc_1.2.0+dfsg-7_all.deb scalable scientific and technical computing in Java (doc)
libcolt-free-java_1.2.0+dfsg-7_all.deb scalable scientific and technical computing in Java
libcom-err2_1.45.4-1_i386.deb common error description library
libcom-hypirion-io-clojure_0.3.1-3_all.deb I/O redirection, signal handling, and console utilities
libcombblas-dev_1.6.2-4_i386.deb an extensible parallel graph library for graph analytics
libcombblas-docs_1.6.2-4_all.deb an extensible parallel graph library for graph analytics (docs)
libcombblas1.16.0_1.6.2-4_i386.deb an extensible parallel graph library for graph analytics
libcomedi-dev_0.11.0-1_i386.deb Development library for Comedi
libcomedi0_0.11.0-1_i386.deb Library for Comedi
Advertisement
Advertisement